1. Dan Cooperstock
  2. PowerBuilder
  3. Thursday, 20 July 2017

It appears from the answers to some bug reports that all of msvcp80.dll, msvcp100.dll, msvcr80.dll, msvcr100.dll, atl80.dll and atl100.dll are needed for deployment of PB 2017 apps. All of them are present in the C:\Program Files (x86)\Appeon\Shared\PowerBuilder folder.

I'm just curious about why two versions of each of those Microsoft DLLs are needed. Can someone please explain it? Thanks.

Roland Smith Accepted Answer Pending Moderation
0
Votes
Undo

These files are the Microsoft C/C++ runtime libraries.

The lib***.dll files files use version 8 of the runtime (Visual Studio 2005) and the pb***170.dll files use version 10 of the runtime (Visual Studio 2010).

 

Comment
So ... um ... couldn't they recompile the lib*.dll files with Visual Studio 2010 so we only needed one set of these MS DLLs?

  1. Dan Cooperstock
  2. Thursday, 20 July 2017
There are no comments made yet.
  1. Thursday, 20 July 2017
  2. PowerBuilder
  3. # 1
  • Page :
  • 1


There are no replies made for this question yet.
However, you are not allowed to reply to this question.